<?php 

global $property_title;
global $details_property;

define('URL_API_RESALES_ONLINE_V6', 'https://webapi.resales-online.com/V6/');
define('ENDPOINTS_API_RESALES_ONLINE_V6',  array(
    'getProperties' => 'SearchProperties',
    'getPropertiesTypes' => 'SearchPropertyTypes',
    'getLocations' => 'SearchLocations',
    'getProperty' => 'PropertyDetails',
    'getPropertiesFeatures' => 'SearchFeatures',
  ));


define('URL_API_JUAALA_RESALES', 'https://resalesonline.juaala.com/api/');
define('ENDPOINTS_API_JUAALA_RESALES',  array(
    'getTemplateSearchForm' => 'search',
    'getTemplateSearchMap' => 'search-map',
    'getTemplateProperties' => 'properties',
    'getTemplateProperty' => 'property',
    'getTemplatePropertyHero' => 'property-hero',
    'getTemplateSidebar' => 'sidebar',
    'getTemplateReleated' => 'releated',
    'getTemplatePropertyPDF' => 'property-pdf',
    'getTemplateApiKey' => 'subscription',
    'getTemplateDoc' => 'doc',
    'getTemplateScreen' => 'screen',
    'getTemplatePdfScreen' => 'property-pdf-screen',
    'getTemplateCompare' => 'properties-compare',
    'generateImageFromPdf' => 'generate-image-from-pdf'
    
  ));
  
define('CONNECT_TIMEOUT_GUZZLEHTTP',  20);
// 1 = English (default), 2 = Spanish, 3 = German, 4 = French, 5 = Dutch, 
// 6 = Danish, 7 = Russian, 8 = Swedish, 9 = Polish, 10 = Norwegian, 11 = Turkish
define('LANG_RS_ONLINE', array(
                "en"=>1,
                "es"=>2,
                "de"=>3,
                "fr"=>4,
                "nl"=>5,
                "da"=>6,
                "ru"=>7,
                "sv"=>8,
                "pl"=>9,
                "nb"=>10,
                "nn"=>10,
                "tr"=>11
                )
);

/** Sobreescribe el slug del dealle de propiedada por idioma */
define('URL_PROPERTY_DETAILS_LANG', array(
  "en"=>'property',
  "es"=>'propiedad', 
  "de"=>'immobilien',
  "fr"=>'propriete',
  "nl"=>'eigendom',
  "ru"=>'недвижимость',
  /*"da"=>'property', //TODO
  "sv"=>'property', //TODO
  "pl"=>'property', //TODO
  "nb"=>'property', //TODO
  "nn"=>'property', //TODO
  "tr"=>'property' //TODO*/
  )
);

define('CUT_DESCRIPTION_PROPERTY',  255);
define('EXPORT_PATH_SCREEN',  'export-screen');