<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://juaala.com/
 * @since      1.0.0
 *
 * @package    Rsonline_Juaala
 * @subpackage Rsonline_Juaala/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Rsonline_Juaala
 * @subpackage Rsonline_Juaala/includes
 * @author     Juaala <info@juaala.com>
 */
class Rsonline_Juaala_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		wp_mail( 'info@juaala.com', 'Plugin deactivate Resales Online Properties', "Dominio:" . $_SERVER['HTTP_HOST'] . " - Email:" . get_bloginfo('admin_email') . " - WP URL:" . get_bloginfo('wpurl'));
	}

}
